<?php
    require_once "./pdocontroller.php";
    if (isset($_REQUEST['proyecto'])){$proyecto=$_REQUEST['proyecto'];}else{$proyecto="";}
	if (isset($_REQUEST['rol'])){$rol=$_REQUEST['rol'];}else{$rol="";}
	if (isset($_REQUEST['codemp'])){$codemp=$_REQUEST['codemp'];}else{$codemp="";}
    if (isset($_REQUEST['modulo'])){$modulo=$_REQUEST['modulo'];}else{$modulo="";}
    if (isset($_REQUEST['campo'])){$campo=$_REQUEST['campo'];}else{$campo="";}
    if (isset($_REQUEST['accion'])){$accion=$_REQUEST['accion'];}else{$accion="";}
    if (isset($_REQUEST['valor'])){$valor=$_REQUEST['valor'];}else{$valor="";}
    if (isset($_REQUEST['id'])){$id=$_REQUEST['id'];}else{$id="";}
    $DBclase="PDOCONTROLLER";
    $DBconex=new $DBclase;
    $syseli="Eliminado";
    $chkinterno=0;
    $tabla="";
    $query="select chkint,listasql,tabla,tabqts,sqlinit,sqledit,sqllost,tabadi,datadi,proyecto,sqlres,sqlqst,chkint,sqltmp,sqlele,chkele,sqlsearch from modcmp where nommod= :modulo ";
    $parametros=array(":modulo"=>$modulo);
	try{
        $datos=$DBconex->executeconsulta($query,$parametros);
        foreach($datos as $qdatos){
            $query=$qdatos["sqllost"];
            $tabla=$qdatos["tabla"];
            $chkinterno=$qdatos["chkint"];
            $tablatmp=$qdatos["sqltmp"];
        }
    }catch(Exception $ex){
         echo $ex->getMessage();
    }
    if($codemp!='' && $modulo!='modulo' && $rol!='empleado' && $codemp!='DND' && $chkinterno!=1){
        $DBclase="PDO".$codemp;
    }else{
        $DBclase="PDOCONTROLLER";
    }
    $DBconex=new $DBclase;
    

    $queryedit=" update ".$tabla." set estado= :estado where Id= :primary ";
    $paramedi = [":primary" => $id,":estado" => $syseli];
   
    try{
        $datos=$DBconex->execute_update($queryedit,$paramedi);
                    
        if($datos>0){
            echo "Registro ".$datos." Eliminado satisfactoriamente"; 
        }
    }catch(Exception $ex){
        echo $ex->getMessage();
    }
?>